# MaxMind Geolocation DXL Client Library
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)

## Overview

The MaxMind DXL Python client library provides a high level wrapper for invoking MaxMind Geolocation Lookups
via the [Data Exchange Layer](http://www.mcafee.com/us/solutions/data-exchange-layer.aspx) (DXL) fabric.

This client requires the [MaxMind DXL Service](https://github.com/opendxl/opendxl-maxmind-service-python)
to be running and available on the DXL fabric.

## Documentation

See the [Wiki](https://github.com/opendxl/opendxl-maxmind-client-python/wiki) for an overview of the MaxMind DXL
Python Client Library and examples.

See the [MaxMind DXL Python Client Library](https://opendxl.github.io/opendxl-maxmind-client-python/pydoc) for
installation instructions, API documentation, and examples.

## Installation

To start using the MaxMind DXL Python Client Library:

* Download the [Latest Release](https://github.com/opendxl/opendxl-maxmind-client-python/releases/latest)
* Extract the release .zip file
* View the `README.html` file located at the root of the extracted files.
  * The `README` links to the documentation which includes installation instructions, API details, and samples.
  * The SDK documentation is also available on-line [here](https://opendxl.github.io/opendxl-maxmind-client-python/pydoc).

## Bugs and Feedback

For bugs, questions and discussions please use the [GitHub Issues](https://github.com/opendxl/opendxl-maxmind-client-python/issues).

## LICENSE

Copyright 2017 McAfee LLC

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
